aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas Larsson <[email protected]>2017-04-18 15:42:08 +0200
committerLukas Larsson <[email protected]>2017-04-20 09:42:22 +0200
commitf8004991cc08b4f1c695665e20042179a4f66ac1 (patch)
treef1532060d4d0a20c196dfb356cee65d841fe498a
parent9e104d8cb7bf78088ed7fb06e1824a299d31c0bc (diff)
downloadotp-f8004991cc08b4f1c695665e20042179a4f66ac1.tar.gz
otp-f8004991cc08b4f1c695665e20042179a4f66ac1.tar.bz2
otp-f8004991cc08b4f1c695665e20042179a4f66ac1.zip
Move travis dialyzer logic to script file
-rw-r--r--.travis.yml4
-rwxr-xr-xscripts/run-dialyzer7
2 files changed, 8 insertions, 3 deletions
diff --git a/.travis.yml b/.travis.yml
index f418f2099f..eee75c9769 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -42,9 +42,7 @@ script:
- ./scripts/build-otp
after_success:
- - $ERL_TOP/bin/dialyzer --build_plt --apps asn1 compiler crypto dialyzer edoc erts et hipe inets kernel mnesia observer public_key runtime_tools snmp ssh ssl stdlib syntax_tools wx xmerl --statistics
- - $ERL_TOP/bin/dialyzer -n -Wunknown -Wunmatched_returns --apps compiler erts kernel stdlib asn1 crypto dialyzer hipe parsetools public_key runtime_tools sasl tools --statistics
- - $ERL_TOP/bin/dialyzer -n --apps common_test debugger edoc inets mnesia observer ssh ssl syntax_tools tools wx xmerl --statistics
+ - ./scripts/run-dialyzer
- ./otp_build tests && make release_docs
after_script:
diff --git a/scripts/run-dialyzer b/scripts/run-dialyzer
new file mode 100755
index 0000000000..383ae2301d
--- /dev/null
+++ b/scripts/run-dialyzer
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -e
+
+$ERL_TOP/bin/dialyzer --build_plt --apps asn1 compiler crypto dialyzer edoc erts et hipe inets kernel mnesia observer public_key runtime_tools snmp ssh ssl stdlib syntax_tools wx xmerl --statistics
+$ERL_TOP/bin/dialyzer -n -Wunknown -Wunmatched_returns --apps compiler erts kernel stdlib asn1 crypto dialyzer hipe parsetools public_key runtime_tools sasl tools --statistics
+$ERL_TOP/bin/dialyzer -n --apps common_test debugger edoc inets mnesia observer ssh ssl syntax_tools tools wx xmerl --statistics